GDB (xrefs)

Public Attributes | List of all members
dcache_block Struct Reference

## Public Attributes
struct dcache_block * | prev
struct dcache_block * | next
CORE_ADDR | addr
int | refs
gdb_byte | data [1]

## Detailed Description

Definition at line 92 of file dcache.c.

## Member Data Documentation

## ◆ addr

CORE_ADDR dcache_block::addr

Definition at line 98 of file dcache.c.

Referenced by dcache_alloc(), dcache_hit(), dcache_info_1(), dcache_invalidate_line(), dcache_peek_byte(), dcache_poke_byte(), dcache_print_line(), and dcache_read_line().

## ◆ data

gdb_byte dcache_block::data[1]

Definition at line 100 of file dcache.c.

Referenced by dcache_alloc(), dcache_peek_byte(), dcache_poke_byte(), dcache_print_line(), and dcache_read_line().

## ◆ next

struct dcache_block* dcache_block::next

Definition at line 96 of file dcache.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), and for_each_block().

## ◆ prev

struct dcache_block* dcache_block::prev

Definition at line 95 of file dcache.c.

## ◆ refs

int dcache_block::refs

Definition at line 99 of file dcache.c.

Referenced by dcache_alloc(), dcache_hit(), dcache_info_1(), and dcache_print_line().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dcache.c